<?php

namespace app\h5\controller;

class Group extends Base
{
    /**
     * 创建群
     *
     * @return string
     */
    public function create()
    {
        unset($_POST['avatar']);
        $group = new \app\api\controller\Group();
        return $group->create();
    }

    /**
     * 群详情
     *
     * @return string
     */
    public function detail()
    {
        $group = new \app\api\controller\Group();
        return $group->detail();
    }

    /**
     * 群成员
     *
     * @return string
     */
    public function members()
    {
        $group = new \app\api\controller\Group();
        return $group->members();
    }

    /**
     * 添加群成员
     *
     * @return string
     */
    public function memberadd()
    {
        $group = new \app\api\controller\Group();
        return $group->memberadd();
    }

    /**
     * 删除群成员
     *
     * @return string
     */
    public function memberdel()
    {
        $group = new \app\api\controller\Group();
        return $group->memberdel();
    }

    /**
     * 设置为管理员
     *
     * @return string
     */
    public function manager()
    {
        $group = new \app\api\controller\Group();
        return $group->manager();
    }

    /**
     * 是否是管理员
     *
     * @return string
     */
    public function ismanager()
    {
        $group = new \app\api\controller\Group();
        return $group->ismanager();
    }

    /**
     * 设置群备注
     *
     * @return string
     */
    public function remark()
    {
        $group = new \app\api\controller\Group();
        return $group->remark();
    }

    /**
     * 解散群组
     */
    public function delete()
    {
        $group = new \app\api\controller\Group();
        return $group->delete();
    }

    /**
     * 离开群组
     */
    public function leave()
    {
        $group = new \app\api\controller\Group();
        return $group->leave();
    }

    /**
     * 禁言某个用户
     */
    public function forbiddenuser()
    {
        $group = new \app\api\controller\Group();
        return $group->forbiddenuser();
    }

    /**
     * 全体禁言
     */
    public function forbiddenall()
    {
        $group = new \app\api\controller\Group();
        return $group->forbiddenall();
    }

    /**
     * 更新用户的群组信息
     */
    public function memberupdate()
    {
        $group = new \app\api\controller\Group();
        return $group->memberupdate();
    }

    /**
     * 更新群组信息
     */
    public function update()
    {
        $group = new \app\api\controller\Group();
        return $group->update();
    }

    /**
     * 直接加入群组，二维码加群使用
     */
    public function join()
    {
        $group = new \app\api\controller\Group();
        return $group->join();
    }

    /**
     * 获取群头像
     */
    public function avatar()
    {
        header('Location: /avatar.php?uid='.$_GET['uid']);
        exit;
    }
}
