<?php
error_reporting(E_ALL);
ini_set("display_errors", 1);
// 已经安装
$db_config_file = __DIR__ . '/../config/database.php';
if (is_file($db_config_file)) {
    Header('Location: /admin/install/step3');
    exit;
}
?>
<!DOCTYPE html>
<html lang="zh-CN">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width,minimum-scale=1.0,maximum-scale=1.0,user-scalable=no"/>
    <title>泡泡IM软件软件服务条款</title>
    <link rel="stylesheet" type="text/css" href="/static/admin/libs/layui/css/layui.css">
    <script src="/static/admin/js/jquery-1.12.4.min.js"></script>
    <script src="/static/admin/libs/layui/layui.js"></script>
    <link rel="stylesheet" type="text/css" href="/static/admin/css/install.css?v=5rex5Zyz6bmP6ZSQ">
</head>
<body>
<div class="install-body">
    <h2>泡泡IM软件软件服务条款</h2>
    <div class="agreement">
        <?php echo nl2br(file_get_contents(__DIR__ . '/agreement.txt'));?>
    </div>
    <div class="next">
        <button class="layui-btn layui-btn-danger" id="refuse">拒绝</button>
        <button class="layui-btn" id="agree" >同意</button>
    </div>
</div>
<script>
    $('#agree').on('click', function () {
        location = '/admin/install/step1';
    });
    $('#refuse').on('click', function () {
        $('#agree').remove();
        $('#refuse').remove();
        $('.agreement').html('<b style="color: red">您已经拒绝《泡泡IM软件软件服务条款》，无法执行安装，请关闭页面。</b>');
    });
</script>
</body>
</html>
